Imports System.Data.DataTableExtensions
Imports System.Query
Imports System.Data.SqlClient

Public Class DataSetDemos

    Public Sub QueryDemo()
        Dim ds As New DataSet
        FillDataset(ds, "Server=.\SQLExpress;AttachDbFilename=C:\projects\data\northwnd.mdf;Database=dbname;Database=dbname;Trusted_Connection=Yes;")

        Dim Employees = ds.Tables("Employees").ToQueryable()
        Dim orders = ds.Tables("Orders").ToQueryable()

        Dim results = From e In Employees _
            Select New {FirstName := e.Field(Of String)("FirstName"), _
                LastName := e.field(Of String)("LastName")}

        ObjectDumper.Write(results)

    End Sub
    Public Sub FillDataset(ByVal ds As DataSet, ByVal connString As String)

        Dim daEmployee = New SqlDataAdapter( _
            "SELECT * from Employees", _
            connString)
        daEmployee.Fill(ds, "Employees")

        Dim daOrder = New SqlDataAdapter("Select * from Orders", connString)
        daOrder.Fill(ds, "Orders")

        Dim rel As New DataRelation("EmployeeOrders", _
            ds.Tables("Employees").Columns("EmployeeId"), _
            ds.Tables("Orders").Columns("EmployeeId"))
        ds.Relations.Add(rel)

    End Sub
End Class
